dataspell:
  app_type: installable
  description: >
    DataSpell is an IDE for exploratory data analysis and prototyping machine learning models.
    It combines the interactivity of Jupyter notebooks with the intelligent Python and R coding
    assistance of PyCharm in one user-friendly environment.
  detector:
    type: 'import!::JetBrainsDetector'
    args: [ 'DS' ]
  display_name: DataSpell
  extra_arguments: null
  image_path: dataspell_icon.svg
  install: https://anaconda.com/dataspell-navigator
  is_available: '::jetbrains_is_available'
  rank: 5

pycharm_ce:
  app_type: installable
  description: >
    An IDE by JetBrains for pure Python development. Supports code completion, listing, and debugging.
  detector:
    type: 'import!::JetBrainsDetector'
    args: [ 'PC', 'PE' ]
  display_name: PyCharm Community
  extra_arguments: null
  image_path: pycharm-ce-icon.png
  is_available: '::jetbrains_is_available'

pycharm_pro:
  app_type: installable
  description: >
    A full-fledged IDE by JetBrains for both Scientific and Web Python development. Supports HTML, JS, and SQL.
  detector:
    type: 'import!::JetBrainsDetector'
    args: [ 'PY' ]
  display_name: PyCharm Professional
  extra_arguments: null
  image_path: pycharm-icon.png
  install: https://www.anaconda.com/pycharm_navigator
  is_available: '::jetbrains_is_available'

vscode:
  app_type: installable
  description: >
    Streamlined code editor with support for development operations like debugging, task running and version control.
  detector: '::vscode_detector'
  display_name: VS Code
  extra_arguments: '::vscode_extra_arguments'
  image_path: vscode-icon-1024x1024.png
  install_extensions: '::vscode_install_extensions'
  is_available: true
  update_config: '::vscode_update_config'


anaconda_graviton:
  app_type: web_app
  description: >
    Running your Anaconda workloads on AWS Graviton-based processors could provide up to 40% better price performance
  display_name: Anaconda on AWS Graviton
  image_path: aws.svg
  is_available: true
  url: https://www.anaconda.com/aws-graviton

anaconda_notebooks:
  app_type: web_app
  description: >
    Cloud-hosted notebook service from Anaconda. Launch a preconfigured environment with hundreds of packages and store
    project files with persistent cloud storage.
  display_name: Anaconda Cloud Notebooks
  image_path: anaconda-icon-256x256.png
  is_available: true
  rank: 3
  url: https://nb.anaconda.cloud/

datalore:
  app_type: web_app
  description: >
    Kick-start your data science projects in seconds in a pre-configured environment. Enjoy coding assistance for
    Python, SQL, and R in Jupyter notebooks and benefit from no-code automations. Use Datalore online for free.
  display_name: Datalore
  image_path: datalore-icon.png
  is_available: true
  url: https://www.anaconda.com/datalore_navigator

ibm_watson:
  app_type: web_app
  description: >
    IBM watsonx is an enterprise-ready AI platform including a data store, model builder, and AI model management and
    monitoring.
  display_name: IBM watsonx
  image_path: watsonx.png
  is_available: true
  url: https://www.anaconda.com/ibm_wsc_navigator

oracle_oci:
  app_type: web_app
  description: >
    OCI Data Science offers a machine learning platform to build, train, manage, and deploy your machine learning models
    on the cloud with your favorite open-source tools
  display_name: Oracle Data Science Service
  image_path: oracle.png
  is_available: true
  url: https://www.anaconda.com/oracle-data-science-service


anaconda-fusion:
  description: >
    Integration between Excel ® and Anaconda via Notebooks. Run data science functions, interact with results and create
    advanced visualizations in a code-free app inside Excel.

anaconda-mosaic:
  description: >
    Interactive exploration of larger than memory datasets. Create data sources, perform transformations and
    combinations.

anaconda-toolbox:
  display_name: Anaconda Toolbox
  rank: 4

anacondafusion:
  is_available: false

console_shortcut:
  display_name: CMD.exe Prompt
  description: >
    Run a cmd.exe terminal with your current environment from Navigator activated

glueviz:
  display_name: Glueviz
  description: >
    Multidimensional data visualization across files. Explore relationships within and among related datasets.
  image_path: glueviz-icon-1024x1024.png

ipython-notebook:
  image_path: jupyter-icon-1024x1024.png
  is_available: false

ipython-qtconsole:
  image_path: qtconsole-icon-1024x1024.png
  is_available: false

jupyterlab:
  display_name: JupyterLab
  description: >
    An extensible environment for interactive and reproducible computing, based on the Jupyter Notebook and
    Architecture.
  image_path: jupyterlab-icon-1024x1024.png

notebook:
  display_name: Notebook
  description: >
    Web-based, interactive computing notebook environment. Edit and run human-readable docs while describing the data
    analysis.
  image_path: jupyter-icon-1024x1024.png

orange-app:
  description: >
    Component based data mining framework. Data visualization and data analysis for novice and expert. Interactive
    workflows with a large toolbox.
  image_path: orange-icon-1024x1024.png

orange3:
  display_name: Orange 3
  description: >
    Component based data mining framework. Data visualization and data analysis for novice and expert. Interactive
    workflows with a large toolbox.
  image_path: orange-icon-1024x1024.png

powershell_shortcut:
  display_name: Powershell Prompt
  description: >
    Run a Powershell terminal with your current environment from Navigator activated

pyvscode:
  image_path: vscode-icon-1024x1024.png

qt3dstudio:
  description: >
    Rapidly build and prototype high quality 2D and 3D user interfaces using the built-in material and effects library
    or import your own design assets.
  image_path: qtcreator-icon-1024x1024.png

qtconsole:
  display_name: Qt Console
  description: >
    PyQt GUI that supports inline figures, proper multiline editing with syntax highlighting, graphical calltips, and
    more.
  image_path: qtconsole-icon-1024x1024.png

qtcreator:
  description: >
    Cross platform integrated development environment (IDE) to create C++ and QML applications.
  image_path: qtcreator-icon-1024x1024.png

rodeo:
  description: >
    A browser-based IDE for data science with python. Includes autocomplete, syntax highlighting, IPython support.
  image_path: rodeo-icon-1024x1024.png

rstudio:
  display_name: RStudio
  description: >
    A set of integrated tools designed to help you be more productive with R. Includes R essentials and notebooks.
  image_path: rstudio-icon-1024x1024.png

spyder:
  display_name: Spyder
  description: >
    Scientific PYthon Development EnviRonment. Powerful Python IDE with advanced editing, interactive testing, debugging
    and introspection features
  image_path: spyder-icon-1024x1024.png

spyder-app:
  image_path: spyder-icon-1024x1024.png
  is_available: false

veusz:
  description: >
    Veusz is a GUI scientific plotting and graphing package. It is designed to produce publication-ready Postscript or
    PDF output.
  image_path: veusz-icon-1024x1024.png
